app/Http/routes.php
<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
*/

Route::get('/',[
	'as' => 'welcome.index',
	'uses' => 'WelcomeController@index'
]);



Route::get('/ayuda',[
	'as' => 'welcome.ayuda',
	'uses' => 'WelcomeController@ayuda'
]);

Route::get('/terminos-y-condiciones',[
	'as' => 'welcome.terminos',
	'uses' => 'WelcomeController@terminos'
]);

Route::get('/politicas-de-privacidad',[
	'as' => 'welcome.politicas',
	'uses' => 'WelcomeController@politicas'
]);

Route::get('/conocenos',[
	'as' => 'welcome.conocenos',
	'uses' => 'WelcomeController@conocenos'
]);

Route::bind('product', function($slug){
	return App\Product::where('slug', $slug)->first();
});
Route::get('products/{slug}',[
	'as' => 'products.show',
	'uses' => 'WelcomeController@show'
]);

/*
Route::get('product/{slug}', [
	'as' => 'product-detail',
	'uses' => 'StoreController@show'
]);

*/

Route::get('categories/{slug}', [
	'uses' => 'WelcomeController@searchCategory',
	'as' => 'welcome.search.category'
]);

Route::get('cart/show', [
	'as' => 'cart.show',
	'uses' => 'CartController@show'
]);
Route::get('cart/delete/{product}', [
	'as' => 'cart.delete',
	'uses' => 'CartController@delete'
]);

Route::get('cart/add/{product}', [
	'as' => 'cart.add',
	'uses' => 'CartController@add'
]);
Route::get('cart/trash',[
	'as' => 'cart.trash',
	'uses' => 'CartController@trash'
]);
Route::get('cart/update/{product}/{quantity?}', [
	'as' => 'cart.update',
	'uses' => 'CartController@update'
]);

Route::get('users/register', [
	'as' => 'users.register',
	'uses' => 'Auth\AuthController@showRegistrationForm'
]);
Route::post('users/register', [
	'as' => 'users.register',
	'uses' => 'Auth\AuthController@register'
]);

Route::get('order-detail',[
	'middleware' => 'auth',
	'as' => 'order.detail',
	'uses' => 'CartController@orderDetail'
]);


Route::get('users/login', [
	'as' => 'users.login',
	'uses' => 'Auth\AuthController@showLoginForm'
]);
Route::post('users/login', [
	'as' => 'users.login',
	'uses' => 'Auth\AuthController@login'
]);
Route::get('users/logout', [
	'as' => 'users.logout',
	'uses' => 'Auth\AuthController@logout'
]);

Route::get('payment', [
	'as' => 'payment',
	'uses' => 'PaypalController@postPayment'
]);

Route::get('payment/status', [
	'as' => 'payment.status',
	'uses' => 'PaypalController@getPaymentStatus'
]);

Route::get('home/searchredirect', function(){
     
    /* Nuevo: si el argumento search está vacío regresar a la página anterior */
    if (empty(Input::get('search'))) return redirect()->back();
    
    $search = urlencode(e(Input::get('search')));
    $route = "home/search/$search";
    return redirect($route);
});
Route::get("home/search/{search}", "WelcomeController@search");



// Administrador

Route::group(['prefix' => 'admin', 'middleware' => ['auth','admin']], function() {
	Route::get('home', function(){
		return view('admin.home');
	});
	Route::resource('categories', 'Admin\CategoriesController');
	
	Route::get('categories/{id}/destroy', [
		'as' => 'admin.categories.destroy',
		'uses' => 'Admin\CategoriesController@destroy'
	]);
	Route::resource('products', 'Admin\ProductsController');

	Route::get('products/{id}/destroy', [
		'as' => 'admin.products.destroy',
		'uses' => 'Admin\ProductsController@destroy'
	]);

	Route::resource('users', 'Admin\UsersController');

	Route::get('users/{id}/destroy', [
		'as' => 'admin.users.destroy',
		'uses' => 'Admin\UsersController@destroy'
	]);
	Route::get('orders',[
		'as' => 'admin.orders.index',
		'uses' => 'Admin\OrderController@index'
	]);
	Route::post('orders/get-items', [
	    'as' => 'admin.orders.getItems',
	    'uses' => 'Admin\OrderController@getItems'
	]);
	Route::get('orders/{id}', [
	    'as' => 'admin.orders.destroy',
	    'uses' => 'Admin\OrderController@destroy'
	]);
});

resources/views/admin/partials/errors.blade.php
@if (count($errors) > 0)
	<div class="alert alert-danger">
		<ul>
			@foreach ($errors->all() as $error)
				<li>{{ $error }}</li>
			@endforeach
		</ul>
	</div>
@endif

resources/views/admin/partials/footer.blade.php
<head>
	<style type="text/css">
		hr{
		    border-width:2px;
		    border-color:#19398b;
		    width:100%;
		}
		strong{
			color:#f8c142;
		}
		footer{
			color: white;
		}
		footer a{
			color: white;
		}
		
	</style>
</head>
<footer>

	<div class="row" style="width: 98%; float: left;">
		<div class="col-md-4 col-lg-3 col-xl-3">
			<h4 class="text-uppercase font-weight-bold">
                    <strong>Ópticas JimaRez</strong>
            </h4>
            <hr class="deep-purple accent-2 mb-4 mt-0 d-inline-block mx-auto" style="width: 60px;">
            <img id="logov" src="/images/logo_emp.png">
			<p style="text-align: justify;">En Ópticas JimaRez "Servicios de Salud Visual" podrás encontrar los mejores lentes y accesorios para ti y tu estilo. Asiste a nuestra sucursal y recibe un examen de la vista totalmente gratis. ¡Cómpralos ya!</p>
		</div>

		<div class="col-md-4 col-lg-3 col-xl-3" id="contacto" style="padding-left: 30px; padding-right: -40px; text-align: center;">
            <h4 class="text-uppercase font-weight-bold">
                <strong>Contacto</strong>
            </h4>
            <hr class="deep-purple accent-2 mb-4 mt-0 d-inline-block mx-auto" style="width: 60px;">
                <p><a href="{{ route('welcome.conocenos') }}#ubicacion"><i class="fa fa-home mr-3"></i> Calle Lira y Ortega No. 20 Plaza El Fresno Local 6 y Local 7. Centro Tlaxcala, Tlax.</a></p>
                <p><a href="mailto:consultoriosopticos_tlax@hotmail.com"><i class="fa fa-envelope mr-3"></i> consultoriosopticos_tlax@hotmail.com</a></p>
                <p><a href="tel:+5212225640227"><i class="fa fa-phone mr-3"></i> Óptica JimaRez: +52 1 222 564 0227</a></p>
                <p><a href=""><i class="fa fa-facebook-square mr-3"></i> Consultorios Ópticos</a></p>
                <p><a href=""><i class="fa fa-instagram mr-3"></i> Consultorios Ópticos</a></p>
    	</div>

		<div class="col-md-4 col-lg-3 col-xl-3">
			<h4 class="text-uppercase font-weight-bold">
                    <strong>Conócenos</strong>
            </h4>
	        <hr class="deep-purple accent-2 mb-4 mt-0 d-inline-block mx-auto" style="width: 60px;">
					<p><a href="{{ route('welcome.conocenos') }}#mision"> Misión </a></p>
	            	<p><a href="{{ route('welcome.conocenos') }}#vision"> Visión </a></p>
	                <p><a href="{{ route('welcome.conocenos') }}#objetivo"> Objetivo </a></p>	        
		</div>

        <div class="col-md-4 col-lg-3 col-xl-3">
			<h4 class="text-uppercase font-weight-bold">
                    <strong>Desarrollado por:</strong>
            </h4>
            <hr class="deep-purple accent-2 mb-4 mt-0 d-inline-block mx-auto" style="width: 60px;">
			<div class="auto-info">
				<img id="logov" src="/images/v-kings.png">
				<p style="text-align: justify;"><a href="mailto:aldo.luria@gmail.com">V-KING</a> es un equipo de trabajo conformado por estudiantes de la Universidad Tecnológica de Tlaxcala de la carrera Ingeniería en Tecnologías de la Información Área Multimedia y Comercio Electrónico.</p>
			</div>
		</div>
	</div>
	<hr class="deep-purple accent-2 mb-4 mt-0 d-inline-block mx-auto" style="width: 96%; float: left;">


	<div class="row container text-center">
      
	        <div class="auto-info">     
	            <p style="color:gray;"><i class="fa fa-copyright"></i> 2018 Copyright: <a href="mailto:aldo.luria@gmail.com">V-KINGS</a></p>
			</div>
 
    </div>



</footer>

resources/views/admin/partials/message.blade.php
<div class="alert alert-info alert-dismissible text-center" role="alert">
	<button type="button" class="close" data-dismiss="alert" aria-label="Close">
		<span aria-hidden="true">&times;</span>
	</button>
	<h2><strong><i class="fa fa-info-circle"></i></strong>{{ \Session::get('message') }}</h2>
</div>

resources/views/admin/partials/modal-detalle-pedido.blade.php
<!-- Modal -->
<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabel">Detalle del Pedido: </h4>
      </div>
      <div class="modal-body">
        
        <div class="table-responsive">
          <table class="table table-stripped table-bordered table-hover" id="table-detalle-pedido">
            <thead>
              <tr>
                <th>Imagen</th>
                <th>Producto</th>
                <th>Precio</th>
                <th>Cantidad</th>
                <th>Subtotal</th>
              </tr>
            </thead>
            <tbody>
              
            </tbody>  
          </table>
        </div>
        
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>

resources/views/admin/partials/nav.blade.php
<head>
	<style type="text/css">
	   .nav > li {
	    float:left;
		}
		.nav li ul {
		    display:none;
		    position:absolute;
		    min-width:140px;
		}   
		.nav li:hover > ul {
		    display:block;
		}   
		.nav li ul li {
		    position:relative;
		}   
		.nav li ul li ul {
		    left:-140px;
		    top:0px;
		    color: #fff;
		}
	</style>
</head>
<header>
	<nav class="navbar navbar-default navbar-fixed-top">
		<div class="container">
			<div class="navbar-header">
				<a href="{{ route('welcome.index') }}"><img src="/images/logo_emp.png" style="width: 50px; height: 50px; float: left;"></a>
				<a href="{{ route('welcome.index') }}" class="navbar-brand main-title"> Ópticas JimaRez</a>
			</div>
			<div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
				<ul class="nav navbar-nav navbar-right">

					<li>
						<a href="/admin/home">Panle de Aministración</a>
					</li>

					<li><a href="{{ route('admin.categories.index') }}">Categorías</a></li>
					<li><a href="{{ route('admin.products.index') }}">Productos</a></li>
					<li><a href="{{ route('admin.users.index') }}">Usuarios</a></li>
					<li><a href="{{ route('admin.orders.index') }}">Pedidos</a></li>

					<!-- Menú desplegable
					<li class="dropdown">
						<a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
							Categorías
							<span class="caret"></span>
						</a>
						<ul class="dropdown-menu">
								<li><a href="{{ route('admin.categories.index') }}">Todas</a></li>
								<li><a href="{{ route('admin.categories.create') }}">Crear</a></li>
						</ul>
					</li>

					<li class="dropdown">
						<a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
							Productos
							<span class="caret"></span>
						</a>
						<ul class="dropdown-menu">
								<li><a href="{{ route('admin.products.index') }}">Todos</a></li>
								<li><a href="{{ route('admin.products.create') }}">Crear</a></li>
						</ul>
					</li>

					<li><a href="{{ route('admin.orders.index') }}">Pedidos</a></li>

					<li class="dropdown">
						<a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
							Usuarios
							<span class="caret"></span>
						</a>
						<ul class="dropdown-menu">
								<li><a href="{{ route('admin.users.index') }}">Todos</a></li>
								<li><a href="{{ route('admin.users.create') }}">Crear</a></li>
						</ul>
					</li>

					-->

					<li class="dropdown">
						<a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
							<i class="fa fa-user"></i> {{ Auth::user()->name }}
							<span class="caret"></span>
						</a>
						<ul class="dropdown-menu">
							<li>
								<a href="{{ route('users.logout') }}">Salir</a>
							</li>
							<li><a href="{{ route('welcome.index') }}">Ir a la tienda</a></li>
						</ul>
					</li>
				</ul>
			</div>
		</div>
	</nav>
</header>

resources/views/admin/partials/slider.blade.php
<!DOCTYPE html>
<html lang="en">
<head>
  <title>Bootstrap Example</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
</head>
<body>

<div class="container">
  <h2></h2>  
  <div id="myCarousel" class="carousel slide" data-ride="carousel">
    <!-- Indicators -->
    <ol class="carousel-indicators">
      <li data-target="#myCarousel" data-slide-to="0" class="active"></li>
      <li data-target="#myCarousel" data-slide-to="1"></li>
      <li data-target="#myCarousel" data-slide-to="2"></li>
    </ol>

    <!-- Wrapper for slides -->
    <div class="carousel-inner">
      <div class="item active">
        <img src="images/banner1.jpg" alt="Promociones" style="width:100%;">
      </div>

      <div class="item">
        <img src="https://www.bemyguest.com.ar/wp-content/uploads/2016/10/banner-zapatos.jpg" alt="Chicago" style="width:100%;">
      </div>
    
      <div class="item">
        <img src="images/banner1.jpg" alt="Promociones de fin de temporada" style="width:100%;">
      </div>
    </div>

    <!-- Left and right controls -->
    <a class="left carousel-control" href="#myCarousel" data-slide="prev">
      <span class="glyphicon glyphicon-chevron-left"></span>
      <span class="sr-only">Previous</span>
    </a>
    <a class="right carousel-control" href="#myCarousel" data-slide="next">
      <span class="glyphicon glyphicon-chevron-right"></span>
      <span class="sr-only">Next</span>
    </a>
  </div>
</div>

</body>
</html>